# Class CSSImportRuleImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSRuleImpl
org.eclipse.e4.ui.css.core.impl.dom.CSSImportRuleImpl

All Implemented Interfaces:
  `CSSImportRule, CSSRule`

public class CSSImportRuleImpl extends CSSRuleImpl implements CSSImportRule

## Field Summary

### Fields inherited from interface CSSRule

`CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

## Constructor Summary

Constructors
Constructor
Description
`CSSImportRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, String uri, MediaListImpl mediaListImpl)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHref()`
`MediaList`
`getMedia()`
`CSSStyleSheet`
`getStyleSheet()`
`short`
`getType()`

### Methods inherited from class CSSRuleImpl

`getCssText, getParentRule, getParentStyleSheet, setCssText`

### Methods inherited from class AbstractCSSNode

`getCSSParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface CSSRule

`getCssText, getParentRule, getParentStyleSheet, setCssText`

## Constructor Details

### CSSImportRuleImpl

public CSSImportRuleImpl(CSSStyleSheet parentStyleSheet, CSSRule parentRule, String uri, MediaListImpl mediaListImpl)

## Method Details

### getType

public short getType()

Specified by:
  `getType` in interface `CSSRule`
Specified by:
  `getType` in class `CSSRuleImpl`

### getHref

public String getHref()

Specified by:
  `getHref` in interface `CSSImportRule`

### getMedia

public MediaList getMedia()

Specified by:
  `getMedia` in interface `CSSImportRule`

### getStyleSheet

public CSSStyleSheet getStyleSheet()

Specified by:
  `getStyleSheet` in interface `CSSImportRule`